Subject: [Ace] FW: New Version Notification for draft-palombini-ace-coap-pubsub-profile-06.txt

From: Francesca Palombini <[email-masked]>
Date: Mon, 4 Nov 2019 15:56:57 +0000

Hi,

I just submitted an update to the CoAP PubSub profile. This update reflects the update in the ace-key-groupcomm draft.

ACE Chairs: I'd like to request 10 minutes during IETF106, possibly after ace-key-groupcomm. I'd like for the chairs to ask for adoption in the wg, either now in the mailing list or during the f2f meeting. As I have mentioned, I feel like we are lacking work on CoAP PubSub security, and this is my proposal (still rough) to work on that. As CoAP PubSub is approaching maturity, we need to start working on securing it. This draft describes a profile of ACE for CoAP Pubsub, but also includes a mechanism based on COSE to protect the content of publications. 

CC CoRE because CoAP PubSub is is CoRE.

Thanks,
Francesca

On 04/11/2019, 16:45, "[email-masked]" <[email-masked]> wrote:

    A new version of I-D, draft-palombini-ace-coap-pubsub-profile-06.txt
    has been successfully submitted by Francesca Palombini and posted to the
    IETF repository.
    
    Name:		draft-palombini-ace-coap-pubsub-profile
    Revision:	06
    Title:		CoAP Pub-Sub Profile for Authentication and Authorization for Constrained Environments (ACE)
    Document date:	2019-11-04
    Group:		Individual Submission
    Pages:		19
    URL:            https://www.ietf.org/internet-drafts/draft-palombini-ace-coap-pubsub-profile-06.txt
    Status:         https://datatracker.ietf.org/doc/draft-palombini-ace-coap-pubsub-profile/
    Htmlized:       https://tools.ietf.org/html/draft-palombini-ace-coap-pubsub-profile-06
    Htmlized:       https://datatracker.ietf.org/doc/html/draft-palombini-ace-coap-pubsub-profile
    Diff:           https://www.ietf.org/rfcdiff?url2=draft-palombini-ace-coap-pubsub-profile-06
    
    Abstract:
       This specification defines an application profile for authentication
       and authorization for publishers and subscribers in a pub-sub setting
       scenario in a constrained environment, using the ACE framework.  This
       profile relies on transport layer or application layer security to
       authorize the publisher to the broker.  Moreover, it relies on
       application layer security for publisher-broker and subscriber-broker
       communication.

    
    Please note that it may take a couple of minutes from the time of submission
    until the htmlized version and diff are available at tools.ietf.org.
    
    The IETF Secretariat